Track Social Post
curl --request GET \
--url https://api.birdeye.com/resources/v1/social/{accountNumber}/post/track/{trackingId}import requests
url = "https://api.birdeye.com/resources/v1/social/{accountNumber}/post/track/{trackingId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/social/{accountNumber}/post/track/{trackingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trackingId": "<string>",
"accountNumber": "<string>",
"socialSite": "<string>",
"subBusinessNumbers": [
"<unknown>"
],
"socialPostDetails": [
"<unknown>"
]
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Social
Track Social Post
GET
/
v1
/
social
/
{accountNumber}
/
post
/
track
/
{trackingId}
Track Social Post
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Id of the Account.
The tracking ID to track the status of the post.
- Error message: Tracking Id not present in System
Response
OK
The tracking ID of the scheduled or posted social post.
The account ID associated with the post.
Social Sites. Possible values are
INSTAGRAM,
FACEBOOK,
GOOGLEMYBUSINESS,
LINKEDIN,
List of Location Ids. Optional for SMB.
An array of objects containing post details, including status, location name, and published timestamp.

